---
title: Popular Scott's Mill forms
---
	<p class="intro">Scotts Mill has several community clubs based on common interest. If you are interested in creating a club, feel free to contact the HOA Board at <a href="mailto:board@scottsmill.com">board@scottsmill.com</a> and they can give you more information on how to get started. Below are the current groups/clubs that meet in Scotts Mill.</p>
	
	<section>
		<h2>Swim Team</h2>
		<p>The Scotts Mill Seadragons Swim Team has their own website <a href="http://www.soak-seadragons.com/">here</a>. They are a pretty big deal in the neighborhood, with a lot of community involvement. </p>
	</section>
	
	<section>
		<h2>Golden Agers</h2>
		<p>The Golden Agers is a group of mature adults (55 &amp; up) in the Scotts Mill community who meet on the third Wednesday of every month. Lou will be coordinating the group and can be reached at louis.makoczy@att.net if you're interested in joining you must live in Scotts Mill, Bungalow Park, The Green, Magnolia, New Heritage.</p>
	</section>
	
	<section>
		<h2>Recreation Committee</h2>
		<p>The Recreation Committee meets monthly to plan neighborhood activities. These activities are open to all residents of Scotts Mill, Bungalow Park, The Green and Magnolia. Annual events include the Egg Hunt, Halloween Parade, and Breakfast with Santa for the kids and Bunco, Book Club, Wine/Beer Tastings and a Food Truck Rodeo for adults. Residents are encouraged to attend the monthly meetings to help plan and implement neighborhood events. The meeting time is the 4th Wednesday of each month at 7pm. Please email <a href="mailto:newsletter@scottsmill.com">newsletter@scottsmill.com</a> for more information.</p>
	</section>
	
	<section>
		<h2>Book Club</h2>
		<p>The Book Club meets the first Tuesday of every month at 7:00PM at The Scotts Mill Clubhouse. Each month a book is chosen for discussion for the next month's meeting. For more information, send an email to <a href="mailto:scottsmillbookclub@gmail.com">scottsmillbookclub@gmail.com</a>.</p>
	</section>
